Commit d6fccfb2 authored by Ben Gamari's avatar Ben Gamari 🐢

Bump version to 8.5

The ghc-8.4 branch has now been cut. Updates the haddock submodule.
parent 595f60fd
...@@ -13,7 +13,7 @@ dnl ...@@ -13,7 +13,7 @@ dnl
# see what flags are available. (Better yet, read the documentation!) # see what flags are available. (Better yet, read the documentation!)
# #
AC_INIT([The Glorious Glasgow Haskell Compilation System], [8.3], [glasgow-haskell-bugs@haskell.org], [ghc-AC_PACKAGE_VERSION]) AC_INIT([The Glorious Glasgow Haskell Compilation System], [8.5], [glasgow-haskell-bugs@haskell.org], [ghc-AC_PACKAGE_VERSION])
# Set this to YES for a released version, otherwise NO # Set this to YES for a released version, otherwise NO
: ${RELEASE=NO} : ${RELEASE=NO}
......
...@@ -85,7 +85,7 @@ Library ...@@ -85,7 +85,7 @@ Library
bytestring >= 0.10 && < 0.11, bytestring >= 0.10 && < 0.11,
containers >= 0.5 && < 0.6, containers >= 0.5 && < 0.6,
deepseq >= 1.4 && < 1.5, deepseq >= 1.4 && < 1.5,
ghci == 8.3, ghci == 8.5,
network >= 2.6 && < 2.7, network >= 2.6 && < 2.7,
directory >= 1.3 && < 1.4, directory >= 1.3 && < 1.4,
filepath >= 1.4 && < 1.5 filepath >= 1.4 && < 1.5
...@@ -112,7 +112,7 @@ Executable iserv ...@@ -112,7 +112,7 @@ Executable iserv
bytestring >= 0.10 && < 0.11, bytestring >= 0.10 && < 0.11,
containers >= 0.5 && < 0.6, containers >= 0.5 && < 0.6,
deepseq >= 1.4 && < 1.5, deepseq >= 1.4 && < 1.5,
ghci == 8.3 ghci == 8.5
if os(windows) if os(windows)
Cpp-Options: -DWINDOWS Cpp-Options: -DWINDOWS
...@@ -133,7 +133,7 @@ Executable iserv-proxy ...@@ -133,7 +133,7 @@ Executable iserv-proxy
bytestring >= 0.10 && < 0.11, bytestring >= 0.10 && < 0.11,
containers >= 0.5 && < 0.6, containers >= 0.5 && < 0.6,
deepseq >= 1.4 && < 1.5, deepseq >= 1.4 && < 1.5,
ghci == 8.3, ghci == 8.5,
directory >= 1.3 && < 1.4, directory >= 1.3 && < 1.4,
network >= 2.6, network >= 2.6,
filepath >= 1.4 && < 1.5, filepath >= 1.4 && < 1.5,
......
...@@ -52,7 +52,7 @@ Library ...@@ -52,7 +52,7 @@ Library
build-depends: build-depends:
base >= 4.9 && < 4.12, base >= 4.9 && < 4.12,
ghc-boot-th == 8.3, ghc-boot-th == 8.5,
pretty == 1.1.* pretty == 1.1.*
ghc-options: -Wall ghc-options: -Wall
......
Subproject commit ae0d140334fff57f2737dbd7c5804b4868d9c3ab Subproject commit aaf07338cbfec7df69532a4d1e8a0f21c9a1cfde
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment